Subject: bug#48025: 28.0.50; Add an invocation option to inhibit native-compilation functionality

From: Andrea Corallo <[email-masked]>
Date: Thu, 29 Apr 2021 15:22:28 +0000

Eli Zaretskii <[email-masked]> writes:

>> Date: Thu, 29 Apr 2021 18:05:01 +0300
>> From: Eli Zaretskii <[email-masked]>
>> Cc: [email-masked], [email-masked]
>> 
>> > >  comp-limple-mode
>> > >  comp-speed
>> > >  comp-debug
>> > >  comp-verbose
>> > >  comp-always-compile
>> > >  comp-bootstrap-deny-list
>> > >  comp-never-optimize-functions
>> > >  comp-async-jobs-number
>> > >  comp-async-cu-done-functions
>> > >  comp-async-all-done-hook
>> > >  comp-async-env-modifier-form
>> > >  comp-async-report-warnings-errors
>> > >  comp-async-query-on-exit
>> > >  comp-native-driver-options
>> > >  comp-warning-on-missing-source
>> > 
>> > Thanks, should the renaming be comp-* to native-* ?
>> 
>> I think they all should begin with native-comp- and
>> comp-native-driver-options should become native-comp-driver-options.
>> Also, I'd prefer renaming comp-async-jobs-number to
>> native-comp-number-of-async-jobs.
>
> And one more variable to rename:
>
>   comp-eln-load-path

Yeah was going to suggest it :)

Okay I'd just wait a bit for some other opinion/suggestion then I'll
take care of this.

Thanks

  Andrea